Commit 5b3fe8f3 authored by Laurent Montel's avatar Laurent Montel 😁
Browse files

Fix compile with new api

parent a41c9bd7
Pipeline #50323 passed with stage
in 10 minutes and 27 seconds
......@@ -51,7 +51,7 @@ set(QT_REQUIRED_VERSION "5.14.0")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test DBus PrintSupport)
set(LIBKDEPIM_LIB_VERSION "5.16.40")
set(LIBGRANTLEETHEME_LIB_VERSION "5.16.40")
set(PIMCOMMON_LIB_VERSION "5.16.40")
set(PIMCOMMON_LIB_VERSION "5.16.41")
set(LIBKLEO_LIB_VERSION "5.16.40")
set(AKONADI_SEARCH_VERSION "5.16.40")
......
......@@ -35,17 +35,17 @@ void KAddressBookPluginInterface::initializeInterfaceRequires(PimCommon::Abstrac
return;
}
auto interface = static_cast<PimCommon::GenericPluginInterface *>(abstractInterface);
PimCommon::GenericPluginInterface::RequireTypes requires = interface->requires();
if (requires & PimCommon::GenericPluginInterface::CurrentItems) {
PimCommon::GenericPluginInterface::RequireTypes requiresFeatures = interface->requiresFeatures();
if (requiresFeatures & PimCommon::GenericPluginInterface::CurrentItems) {
interface->setCurrentItems(mMainWidget->collectSelectedAllContactsItem());
}
if (requires & PimCommon::GenericPluginInterface::Items) {
if (requiresFeatures & PimCommon::GenericPluginInterface::Items) {
interface->setItems(mMainWidget->selectedItems());
}
if (requires & PimCommon::GenericPluginInterface::CurrentCollection) {
if (requiresFeatures & PimCommon::GenericPluginInterface::CurrentCollection) {
interface->setCurrentCollection(mMainWidget->currentAddressBook());
}
if (requires & PimCommon::GenericPluginInterface::Collections) {
if (requiresFeatures & PimCommon::GenericPluginInterface::Collections) {
qCDebug(KADDRESSBOOK_LOG) << "PimCommon::GenericPluginInterface::Collections not implemented";
}
}
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment